Skip to content

OLT Service Profile ​

5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addServiceProfilePOSTCreate new service profile
deleteServiceProfilePOSTDelete an existing service profile
editServiceProfilePOSTModify an existing service profile
getServiceProfileListGETGet service profile list
getServiceProfilePageGETGet service profile page

addServiceProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/add

Create new service profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServiceProfileDTO

FieldTypeRequiredDescription
serviceIdintegeryesService profile ID should be within the range of 1 to 512
isInUsebooleannoWhether the service profile is in use
namestringnoName of the service profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.).
ethNumintegeryesNumber of eth port.EthNum should be within the range of -1 to 24.-1 indicates that the number of ports is adaptive. The default value is -1.
maxAdaptiveEthNumintegernoSet the maximum number of automatically recognized ETH ports.When ethNum is set to -1, a prompt will appear.MaxAdaptiveEthNum should be within the range of 0 to 24
potsNumintegeryesNumber of ONU pots.PotsNum should be within the range of -1 to 8.-1 indicates that the number of ports is adaptive. The default value is -1.
maxAdaptivePotsNumintegernoSet the maximum number of automatically recognized potsWhen potsNum is set to -1, a prompt will appear.MaxAdaptivePotsNum should be within the range of 0 to 4
macLearningstringyesEnable/disable ONT MAC address learning function. MacLearning should be a value as follows:DISABLE,ENABLE
nativeVlanstringyesThe ONT's concern for Native VLAN .NativeVlan should be a value as follows:UNCONCERN,CONCERN
multicastModestringyesSet the multicast mode of the ONT. MulticastMode should be a value as follows:UNCONCERN,IGMP_SNOOPING,OLT_CONTROL
multicastForwardstringyesSet the multicast packet forwarding mode of the ONT. NativeVlan should be a value as follows:UNCONCERN,TAGGED,UNTAGGED
taggedTypestringnoTaggedType should be a value as follows:TRANSPARENT,TRANSLATION
taggedVlanIdintegernoTaggedVlanId should be within the range of 1–4094
onuBindNumintegernoThe number of ONU/ONT instances that use this Service template.
json
// omada_call_operation
{
  "operationId": "addServiceProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new service profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteServiceProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/delete

Delete an existing service profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema IntIdListRequest

FieldTypeRequiredDescription
idsarray<integer>yesID list
json
// omada_call_operation
{
  "operationId": "deleteServiceProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing service profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editServiceProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/edit

Modify an existing service profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ServiceProfileModifyDTO

FieldTypeRequiredDescription
serviceIdintegeryesService profile ID should be within the range of 1 to 512
namestringnoName of the service profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.).
ethNumintegernoNumber of eth port.EthNum should be within the range of -1 to 24.-1 indicates that the number of ports is adaptive. The default value is -1.
maxAdaptiveEthNumintegernoSet the maximum number of automatically recognized ETH ports.When ethNum is set to -1, a prompt will appear.MaxAdaptiveEthNum should be within the range of 0 to 24
potsNumintegernoNumber of ONU pots.PotsNum should be within the range of -1 to 8.-1 indicates that the number of ports is adaptive. The default value is -1.
maxAdaptivePotsNumintegernoSet the maximum number of automatically recognized potsWhen potsNum is set to -1, a prompt will appear.MaxAdaptivePotsNum should be within the range of 0 to 4
macLearningstringnoEnable/disable ONT MAC address learning function. MacLearning should be a value as follows:DISABLE,ENABLE
multicastModestringnoSet the multicast mode of the ONT. MulticastMode should be a value as follows:UNCONCERN,IGMP_SNOOPING,OLT_CONTROL
multicastForwardstringyesSet the multicast packet forwarding mode of the ONT. NativeVlan should be a value as follows:UNCONCERN,TAGGED,UNTAGGED
taggedTypestringnoTaggedType should be a value as follows:TRANSPARENT,TRANSLATION
taggedVlanIdintegernoTaggedVlanId should be within the range of 1–4094
nativeVlanstringnoThe ONT's concern for Native VLAN .NativeVlan should be a value as follows:UNCONCERN,CONCERN
json
// omada_call_operation
{
  "operationId": "editServiceProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing service profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServiceProfileList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/list

Get service profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryServiceProfileListQueryDTOnoObject: its fields (searchKey, sorts, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getServiceProfileList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service profile list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getServiceProfilePage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/page

Get service profile page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryServiceProfilePageQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getServiceProfilePage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get service profile page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.